Subject: Re: linux-next: build failure after merge of the security-testing tree

From: Mimi Zohar <[email-masked]>
Date: Tue, 09 Aug 2011 21:48:29 -0400

On Wed, 2011-08-10 at 10:58 +1000, Stephen Rothwell wrote:
> Hi James,
> 
> After merging the security-testing tree, today's linux-next build
> (powerpc ppc64_defconfig) failed like this:
> 
> fs/reiserfs/xattr_security.c: In function 'reiserfs_security_init':
> fs/reiserfs/xattr_security.c:69:2: error: implicit declaration of function 'security_old_inode_init_security'
> 
> Caused by commit 9d8f13ba3f48 ("security: new
> security_inode_init_security API adds function callback").  Forgotten
> include?
> 
> I have used the security-testing tree from next-20110809 for today.

No, I left out the stub definition in the include.  James, how do you
want me to correct this and the missing 'inline'?  Should I be updating
the original patches or submitting them as new patches?

thanks,

Mimi